Subject: Re: [DNSOP] SVCB ALPN value presentation format

From: Ben Schwartz <[email-masked]>
Date: Wed, 1 Jul 2020 10:40:16 -0400

HI Larry,

Mark and I have been hashing out a rewording of the escaping requirements
here: https://github.com/MikeBishop/dns-alt-svc/pull/202.  We could use
your input on that proposal.

On Tue, Jun 30, 2020 at 9:51 PM Larry Campbell <[email-masked]> wrote:

> Parsing as a character-string does not necessarily imply unescaping any
> sequence other than \".

Unfortunately, RFC 1035 offers only a brief description of the zone file
processing algorithms.  However, I interpret RFC 1035 as saying that
<character-string> is meant to be able to represent any *255OCTET, which
implies that parsing as character-string consumes all the escape
sequences.  This appears to match BIND's behavior.